
#include <systemc>
#include "topcell.h"

SC_MODULE(system_driver)
{
	sc_core::sc_signal<bool> m_clock;
	sc_core::sc_signal<bool> m_resetn;
	topcell *m_topcell;

  protected:
	SC_HAS_PROCESS(system_driver);

	void gen_clock();

  public:
	system_driver(sc_core::sc_module_name name);
	~system_driver();
};
